#' Daily adjusted closing price for Microsoft stock
#'
#' A \samp{xts} object of daily adjusted closing price for Microsoft from 1993-01-04 to 2014-12-31.
#'
#' @format A \samp{xts} object on 1993-01-04 to 2014-12-31 containing:
#' \describe{
#'   \item{MFST}{adjusted closing price in USD}
#' }
#' Indexed by objects of class: [Date] TZ: UTC.
#' @source Yahoo! Finance: \url{http://finance.yahoo.com/q/hp?s=MSFT+Historical+Prices}
"msftDailyPrices"

#' Daily adjusted closing price for Starbucks stock
#'
#' A \samp{xts} object of daily adjusted closing price for Starbucks from 1993-01-04 to 2014-12-31.
#'
#' @format A \samp{xts} object on 1993-01-04 to 2014-12-31 containing:
#' \describe{
#'   \item{SBUX}{adjusted closing price in USD}
#' }
#' Indexed by objects of class: [Date] TZ: UTC.
#' @source Yahoo! Finance: \url{http://finance.yahoo.com/q/hp?s=SBUX+Historical+Prices}
"sbuxDailyPrices"

#' Daily adjusted closing price for S&P 500 index
#'
#' A \samp{xts} object of daily adjusted closing price for S&P 500 from 1993-01-04 to 2014-12-31.
#'
#' @format A \samp{xts} object on 1993-01-04 to 2014-12-31 containing:
#' \describe{
#'   \item{SP500}{adjusted closing price in USD}
#' }
#' Indexed by objects of class: [Date] TZ: UTC.
#' @source Yahoo! Finance: \url{http://finance.yahoo.com/q/hp?s=\%5EGSPC+Historical+Prices}
"sp500DailyPrices"

#' Monthly adjusted closing price for Vanguard Mutual Fund
#'
#' A \samp{xts} object of daily adjusted closing price for Vanguard Mutual Fund from Jan-1995 to 
#' Jan-2015.
#'
#' @format A \samp{xts} object on Jan-1995 to Jan-2015 containing:
#' \describe{
#'   \item{vfinx}{Vanguard 500 Index adjusted closing price in USD}
#'   \item{veurx}{Vanguard European Stock Index adjusted closing price in USD}
#'   \item{veiex}{Vanguard Emerging Markets Stock adjusted closing price in USD}
#'   \item{vbltx}{Vanguard Long-Term Bond Index adjusted closing price in USD}
#'   \item{vbisx}{Vanguard Short-Term Bond Index adjusted closing price in USD}
#'   \item{vpacx}{Vanguard Pacific Stock Index adjusted closing price in USD}
#' }
#' Indexed by class 'yearmon'  num [1:240] 1995 1995 1995 1995 1995 ...
"VanguardPrices"

#' Daily adjusted closing price for Amazon stock
#'
#' A \samp{xts} object of daily adjusted closing price for Amazon from Jan-1998 to Jan-2015.
#'
#' @format A \samp{xts} object on Jan-1998 to Jan-2015 containing:
#' \describe{
#'   \item{AMZN}{adjusted closing price in USD}
#' }
#' Indexed by objects of class: [Date] TZ: UTC.
#' @source Yahoo! Finance: \url{http://finance.yahoo.com/q/hp?s=AMZN+Historical+Prices}
"amznDailyPrices"

#' Daily adjusted closing price for Boeing stock
#'
#' A \samp{xts} object of daily adjusted closing price for Boeing from Jan-1993 to Jan-2015.
#'
#' @format A \samp{xts} object on Jan-1993 to Jan-2015 containing:
#' \describe{
#'   \item{BA}{adjusted closing price in USD}
#' }
#' Indexed by objects of class: [Date] TZ: UTC.
#' @source Yahoo! Finance: \url{http://finance.yahoo.com/q/hp?s=BA+Historical+Prices}
"baDailyPrices"

#' Daily adjusted closing price for Nordstrom stock
#'
#' A \samp{xts} object of daily adjusted closing price for Nordstrom from Jan-1993 to Jan-2015.
#'
#' @format A \samp{xts} object on Jan-1993 to Jan-2015 containing:
#' \describe{
#'   \item{JWN}{adjusted closing price in USD}
#' }
#' Indexed by objects of class: [Date] TZ: UTC.
#' @source Yahoo! Finance: \url{http://finance.yahoo.com/q/hp?s=JWN+Historical+Prices}
"jwnDailyPrices"

#' Daily adjusted closing price for Costco stock
#'
#' A \samp{xts} object of daily adjusted closing price for Costco from Jan-1993 to Jan-2015.
#'
#' @format A \samp{xts} object on Jan-1993 to Jan-2015 containing:
#' \describe{
#'   \item{COST}{adjusted closing price in USD}
#' }
#' Indexed by objects of class: [Date] TZ: UTC.
#' @source Yahoo! Finance: \url{http://finance.yahoo.com/q/hp?s=COST+Historical+Prices}
"costDailyPrices"